// Code generated by go-swagger; DO NOT EDIT.

package operations

// This file was generated by the swagger tool.
// Editing this file might prove futile when you re-run the swagger generate command

import (
	"net/http"

	"github.com/go-openapi/runtime"
)

// UsersOKCode is the HTTP code returned for type UsersOK
const UsersOKCode int = 200

/*UsersOK JSONResponse struct

swagger:response usersOK
*/
type UsersOK struct {
	/*

	 */
	Description string `json:"description"`
	/*

	 */
	Status string `json:"status"`
}

// NewUsersOK creates UsersOK with default headers values
func NewUsersOK() *UsersOK {

	return &UsersOK{}
}

// WithDescription adds the description to the users o k response
func (o *UsersOK) WithDescription(description string) *UsersOK {
	o.Description = description
	return o
}

// SetDescription sets the description to the users o k response
func (o *UsersOK) SetDescription(description string) {
	o.Description = description
}

// WithStatus adds the status to the users o k response
func (o *UsersOK) WithStatus(status string) *UsersOK {
	o.Status = status
	return o
}

// SetStatus sets the status to the users o k response
func (o *UsersOK) SetStatus(status string) {
	o.Status = status
}

// WriteResponse to the client
func (o *UsersOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer) {

	// response header description

	description := o.Description
	if description != "" {
		rw.Header().Set("description", description)
	}

	// response header status

	status := o.Status
	if status != "" {
		rw.Header().Set("status", status)
	}

	rw.Header().Del(runtime.HeaderContentType) //Remove Content-Type on empty responses

	rw.WriteHeader(200)
}
